Skip to main content
POST
/
api
/
presentations
/
{presentationId}
/
events
Record a presentation event
curl --request POST \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/events \
  --header 'Content-Type: application/json' \
  --data '
{
  "_token": "<string>",
  "type": "presentation_opened",
  "slideId": "<string>",
  "slideIndex": 123,
  "durationMs": 123,
  "ctaType": "<string>",
  "ctaLabel": "<string>"
}
'
{
  "success": true
}

Path Parameters

presentationId
string<uuid>
required

Body

application/json
_token
string
required

HMAC authentication token

type
enum<string>
required

Event type

Available options:
presentation_opened,
slide_viewed,
cta_clicked,
action_detection,
action_execution
slideId
string
slideIndex
integer
durationMs
integer
ctaType
string
ctaLabel
string

Response

Event recorded

success
boolean